#include <acknex.h> // include for Pure Mode
#include <default.c> // default key functions

// Paths...
#define PRAGMA_PATH "./Scripts";
#define PRAGMA_PATH "./Scripts/FX";
#define PRAGMA_PATH "./Models";
#define PRAGMA_PATH "./Models/ragdoll";
#define PRAGMA_PATH "./Levels";
#define PRAGMA_PATH "./Sprites";
#define PRAGMA_PATH "./Sounds";
#define PRAGMA_PATH "./Menus";

// include all general definitions
#include "defines.c";
#include "menu.c";

// include ragdoll header
#include "Ragdoll.h"
#include "ragdoll.c" // include for ragdoll setup

//scripts
#include "sound.c";
#include "camera.c";
#include "animation.c";
#include "trigger.c";
#include "gravity.c";
#include "attack.c";
#include "hud.c";
#include "player.c";
#include "ai.c";
//#include "ladder.c";
#include "levels.c";
#include "actions.c";
#include "functions.c";

// startup function
void main() {
	// set anti aliasing
	d3d_antialias = 9;
	
	// set resolution of game (4:3 size, 1024x768)
	video_switch(8, 0, 8);
	
	// setup frame per second upper and lower limit
	fps_max = 60;
	fps_min = 30;
	
	random_seed(0); // always get a complete random
	
	// make the menu here...
	createMenu();
}