// retrieves the keys written into a file
void getKeyMapping(PLAYER* tempPlayer) {
	var fhandle_n = file_open_read("keyMapping.ini"); // open file
	STRING* tempStr = str_create("");
	STRING* getCurrentKey = str_create("");
	
	// get player number from file
	str_cpy(tempStr, "player");
	str_cat(tempStr, str_for_int(NULL, tempPlayer.playerID+1));
	str_cat(tempStr, ":");
	file_find(fhandle_n, tempStr);
	
	var i;
	// empty mapArray
	for(i=0; i<8; i++) {
		tempPlayer.keySetup[i] = str_create("");
	}
	
	// write following key mapping into keyArray
	for(i=0; i<8; i++) {
		file_str_readto(fhandle_n, getCurrentKey, NULL, 8); // get max 8 characters (7 characers + delimiter)
		str_cpy(tempPlayer.keySetup[i], getCurrentKey); // store keystring
	}
	
	file_close(fhandle_n); // close file
}

// sets the keys into a file
void setKeyMapping(int*mapArray, int playerNum) {
	wait(1); // temp
}

// reset the combo to be empty
void initKeyInputCombo(int* keyComboArray) {
	var i;
	for(i=0; i<8; i++) {
		keyComboArray[i] = 0;
	}
}

// function that stores key input (combo's)
void getKeyInputCombo(PLAYER* inputPlayer) {
	// comparison chart vs standard setup
	// movement
	// 0 = w
	// 1 = a
	// 2 = s
	// 3 = d
	// attacks
	// 4 = q <-- look for this
	// 5 = e <-- this,
	// jumping
	// 6 = c <-- and this!
	// blocking
	// 7 = r <-- then, if none pressed, this...
	
	while(inputPlayer.myChar.Character) {
		// if any button that is a combo button is pressed
		if((key_pressed(key_for_str(inputPlayer.keySetup[4]))) || 
			(key_pressed(key_for_str(inputPlayer.keySetup[5]))) || 
			(key_pressed(key_for_str(inputPlayer.keySetup[6])))) {
			
			// store actual combo button
			if(inputPlayer.comboCount < 6) { // make sure no more then 7 combo's are stored
				inputPlayer.attackInput[inputPlayer.comboCount] = key_lastpressed; // store any of the attack/jump buttons if pressed
				inputPlayer.comboCount += 1;
				
				inputPlayer.myChar.movementMode = fighting; // set player to attack, and start checking for combo's..
			}
			
			while((key_pressed(key_for_str(inputPlayer.keySetup[4]))) || 
					(key_pressed(key_for_str(inputPlayer.keySetup[5]))) || 
					(key_pressed(key_for_str(inputPlayer.keySetup[6])))) { wait(1); } // wait untill key is released
		} else if(key_pressed(key_for_str(inputPlayer.keySetup[7]))) { // if blocking instead
			inputPlayer.myChar.movementMode = blocking; // set player to block
		}
		
		wait(1);
	}
}

// resets the combo!
void resetKeyInputCombo(PLAYER* inputPlayer) {
	var i;
	for(i=0; i<6; i++) {
		inputPlayer.attackInput[i] = 0;
	}
}