BMAP* playerHUD_BG = "HUD_BG.tga";
BMAP* playerHUD_hp_overlay = "HUD_overlay.tga";
BMAP* playerHUD_hp = "HUD_hp.tga";

var maxHealth[4];
var curHealth[4];
var curLifes[4];

void addNewPlayerHUD(PLAYER* newPlayer, var posX, var posY, var overlayXoffset, var overlayYoffset) {
	maxHealth[newPlayer.playerID] = newPlayer.myChar.Character.skill2;
	curHealth[newPlayer.playerID] = maxHealth; // player always starts with full HP
	curLifes[newPlayer.playerID] = gPlayerList.lifes[newPlayer.playerID];
	
	// create Background
	PANEL* HUD_BG;
	HUD_BG = pan_create("bmap = playerHUD_BG; alpha = 100; flags = SHOW;", 1);
	
	HUD_BG.pos_x = posX;
	HUD_BG.pos_y = posY;
	
	PANEL* HUD_hp;
	HUD_hp = pan_create("alpha = 100; flags = SHOW;", 2);
	
	HUD_hp.pos_x = posX + overlayXoffset;
	HUD_hp.pos_y = posY + overlayYoffset;
	pan_setwindow(HUD_hp, 0, 6, 32, 244, 32, playerHUD_hp, curHealth[newPlayer.playerID], 0);
	
	PANEL* HUD_overlay;
	HUD_overlay = pan_create("bmap = playerHUD_hp_overlay; alpha = 100; flags = SHOW;", 3);
	
	HUD_overlay.pos_x = posX + overlayXoffset;
	HUD_overlay.pos_y = posY + overlayYoffset;
	
	PANEL* HUD_lifes;
	HUD_lifes = pan_create("alpha = 100; flags = SHOW;", 4);
	pan_setdigits(HUD_lifes, 0, HUD_overlay.pos_x+128, HUD_overlay.pos_y+64, "%2.f", font_create("Arial#40b"), 1, curLifes[newPlayer.playerID]);
	
	while(newPlayer.myChar.Character.skill2 > 0) {
		curHealth[newPlayer.playerID] = ((newPlayer.myChar.Character.skill2 / maxHealth[newPlayer.playerID] * 100) / 100) * 256; // update health
		curLifes[newPlayer.playerID] = gPlayerList.lifes[newPlayer.playerID]; // update lifes
		wait(1);
	}
	
	pan_remove(HUD_hp);
	pan_remove(HUD_overlay);
	pan_remove(HUD_lifes);
	
	while((newPlayer.playerReset != 1) && (curLifes[newPlayer.playerID] > 0)) {
		draw_textmode("Arial", 1, 30, 100);
		draw_text("Press Jump to respawn", (posX + overlayXoffset), (posY + overlayYoffset) + 32, vector(255,255,255));
		wait(1);
	}
	
	pan_remove(HUD_BG);
}
