TRIGGER* initTrigger() {
	// initialise memory for new item
	TRIGGER* myTrigger = sys_nxalloc( sizeof(TRIGGER) );
	
	myTrigger.tempTrigger = me;
	cameraTrigger(myTrigger);
	
	return(myTrigger);
}

// event when player hits trigger
void eventTrigger() {
	if (event_type == EVENT_PUSH) {
		// set trigger to be active (only if you was the player..!)
		if(is(you, FLAG8)) {
			set(my, FLAG5);
		}
	}
}

void cameraTrigger(TRIGGER* myTrigger) {
	c_setminmax(myTrigger.tempTrigger);
	
	// set push value lower then player to make sure of no collision
	myTrigger.tempTrigger.push = -5;
	
	// sensible for push collision
	set(myTrigger.tempTrigger, INVISIBLE);
	
	// set trigger to be able to get triggered by player (using push values)
	myTrigger.tempTrigger.emask |= ENABLE_PUSH;
	myTrigger.tempTrigger.event = eventTrigger;
	
	while(myTrigger.tempTrigger) {		
		// when trigger became active
		if(is(myTrigger.tempTrigger, FLAG5)) {
			// run function that is written under string 1 in the triggers action
			runStringFunction = engine_getscript(myTrigger.tempTrigger.string1);
			if(runStringFunction) { runStringFunction(); }
			break;
		}
		
		wait(1);
	}
	
	set(myTrigger.tempTrigger, PASSABLE); // no colliding with ragdolls etc
	myTrigger.tempTrigger.emask |= NULL;
	myTrigger.tempTrigger.event = NULL;
	
	while(is(myTrigger.tempTrigger, FLAG5)) { wait(1); }
	// remove the trigger to prevent calling the function several times
	ent_remove(myTrigger.tempTrigger);
	free(myTrigger);
}